;--------------------------------------------------------;
SIZE_SCR_BUF    equ     3240
SCR_LEN         equ     240
SCR_WIDTH       equ     128        
LINE_BYTES      equ     210     ;(7 rows)*(30 bytes / row)
MAX_LINES       equ     12      ;13 with the 0th
PROMPT_LINE     equ     0     
LINE_WIDTH      equ     9
LINE_LENGTH     equ     38      ;40 with the 0th
CHAR_WIDTH      equ     6
SEPARATOR_LEN   equ     3
DIR_PRINT_OFFSET        equ     2       ;2 chars off of edge of the screen
DIR_2ND_COLMN   equ     DIR_PRINT_OFFSET+16

PutChar MACRO           ;\1.w = char \2 = line \3 = char pos
        move.w  #$00FF,-(sp)    ;trashy ROM function needs this
        move.w  #$0000,-(sp)
        move.w  #$00FF,-(sp)
        move.w  #4,-(sp)        ;push color
        move.w  \2,d1
        mulu.w  #LINE_WIDTH,d1  ;d0 = Y
        add.w   #1,d1
        move.w  d1,-(sp)        ;push Y
        move.w  \3,d1           
        mulu.w  #CHAR_WIDTH,d1  ;d0 = X
        move.w  d1,-(sp)        ;push X
        move.w  \1,-(sp)        ;push char
        jsr     tios::DrawCharXY
        lea     14(sp),sp
        ENDM

CreateHdl       MACRO           ;\1 = variable to store hdl num
        move.l  \2,-(sp)        ;\2 = size
        jsr     tios::HeapAlloc
        lea     4(sp),sp
        move.w  d0,\1
        tios::DEREF     d0,a0   ;returns address of the object pointed to by the handle in a0
        ENDM

DestroyHdl      MACRO
        move.w  \1,-(sp)
        jsr     tios::HeapFree
        lea     2(sp),sp
        ENDM

;--------------------------------------------------------;
